<?php
/**
 * Class to check opening_hours as used by the OpenStreetMap project
 *
 * This code is a port of the javascript code from
 * http://www.netzwolf.info/kartografie/osm/time_domain/
 *
 * PHP version 5.1.0+
 *
 * Copyright (c) 2012, Uwe Steinmann
 * 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 *
 *  - Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *  - Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *  - Neither the name of the The PEAR Group nor the names of its contributors 
 *    may be used to endorse or promote products derived from this software 
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * @category  OSM
 * @package   OSM_OpeningHours
 * @author    Uwe Steinmann <steinm@php.net>
 * @copyright 2012 Uwe Steinmann
 * @license   http://www.opensource.org/licenses/bsd-license.php New BSD License
 * @version   CVS: $Revision: $
 * @link      http://pear.php.net/package/OSM_OpeningHours
 */

/**
 * Class to represent all internal data
 *
 * @category  OSM
 * @package   OSM_OpeningHours
 * @author    Uwe Steinmann <steinm@php.net>
 * @copyright 2012 Uwe Steinmann
 * @license   http://www.opensource.org/licenses/bsd-license.php New BSD License
 * @link      http://pear.php.net/package/OSM_OpeningHours
 */
class OSM_OpeningHours_Request { /* {{{ */
	var $S;
	var $M;
	var $H;
	var $d;
	var $m;
	var $y;
	var $s;
	var $e;
	var $w;
	var $l;
	var $wy;
	var $yw;
	var $range_match;
	var $day_match;
	var $time_match;
	var $parsedExpression;
	var $option;
	var $value;
	var $times;
	var $comment;
	var $minutes;
	var $rule_comment;
	var $rule_value;
	var $rule_minutes;
	var $rule_start;
	var $start;
	var $tokens;
	var $skip;
	var $usedrule;
	var $errors;
	var $warnings;
	var $messages;
	var $thisYear;
	var $thisMonth;
	var $yearSet;

	function __construct() {
		$this->errors = array();
		$this->warnings = array();
		$this->messages = array();
		$this->minutes = array();
	}

	function isOpen() { /* {{{ */
		return ($this->value?true:false);
	} /* }}} */

	function getComment() { /* {{{ */
		return $this->comment;
	} /* }}} */

	function hasErrors() { /* {{{ */
		return ($this->errors?true:false);
	} /* }}} */

	function getErrors() { /* {{{ */
		return $this->errors;
	} /* }}} */

	function hasWarnings() { /* {{{ */
		return ($this->warnings?true:false);
	} /* }}} */

	function getWarnings() { /* {{{ */
		return $this->warnings;
	} /* }}} */

} /* }}} */
?>
